/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "pokergame.h"

void pokerGameQueueRestack(pokergame_t *pokerGame) {
  arrayRewind(
    sizeof(pokergameactiondata_t),
    pokerGame->actionData,
    ANIMATION_QUEUE_ITEM_MAX,
    pokerGame->scene.conversation.actionQueue.current,
    pokerGame->scene.conversation.actionQueue.count
  );
  queueRestack(&pokerGame->scene.conversation.actionQueue);
}